<template>
	<div class="aside-left">
		<!-- BEGIN: Left Aside -->
		<button class="m-aside-left-close  m-aside-left-close--skin-light " id="m_aside_left_close_btn"><i class="la la-close"></i></button>
		<div id="m_aside_left" class="m-grid__item	m-aside-left  m-aside-left--skin-light ">
			<!-- BEGIN: Aside Menu -->
			<div id="m_ver_menu" class="m-aside-menu  m-aside-menu--skin-light m-aside-menu--submenu-skin-light " m-menu-vertical="1" m-menu-scrollable="1" m-menu-dropdown-timeout="500">
				<ul class="m-menu__nav  m-menu__nav--dropdown-submenu-arrow " v-for="category in categories" :key="category.title">
            <li class="m-menu__section m-menu__section--first">
                <h4 class="m-menu__section-text">{{category.title}}</h4>
                <i :class="category.icon"></i>
            </li>
            <li class="m-menu__item  m-menu__item--submenu" v-for="menu in category.menuItems" aria-haspopup="true" m-menu-submenu-toggle="hover" :key="menu.title" :id="menu.section">
                <a :href="menu.url" class="m-menu__link m-menu__toggle">
                    <i :class="menu.icon"></i>
                    <span class="m-menu__link-text">{{menu.title}}</span>
                    <i v-if="menu.subMenuItems" class="m-menu__ver-arrow la la-angle-right"></i>
                </a>
                <div v-if="menu.subMenuItems" class="m-menu__submenu ">
                    <span class="m-menu__arrow"></span>
                    <ul class="m-menu__subnav">
                        <li class="m-menu__item" v-for="submenu in menu.subMenuItems" aria-haspopup="true" :key="submenu.title">
                            <router-link :to="submenu.url" class="m-menu__link ">
                              <i :class="submenu.icon">
                                 <span></span>
                               </i>
                               <span class="m-menu__link-text">{{submenu.title}}</span>
                            </router-link>
                        </li>
                    </ul>
                </div>
            </li>
				</ul>
			</div>
			<!-- END: Aside Menu -->
		</div>
		<!-- END: Left Aside -->
	</div>
</template>
<script>
export default {
	data() {
		return {
			categories: [
				{
            title: 'عمومی',
            icon: 'm-menu__section-icon flaticon-more-v2',
            menuItems: [
                {
                    icon: 'm-menu__link-icon flaticon-layers',
                    title: 'صفحه اصلی',
                    url: '#/dashboard',
                },
                {
                    icon: 'm-menu__link-icon flaticon-computer',
                    title: 'اجناس',
										section:'items',
                    url: '',
                    subMenuItems: [
												{
													icon: 'm-menu__link-bullet m-menu__link-bullet--dot',
													title: 'درخواستی جنس',
													url: '/items/inquire',
												},
                        {
                          icon: 'm-menu__link-bullet m-menu__link-bullet--dot',
                          title: 'خریداری اجناس',
                          url: '/items/purchase',
                        },
                        {
                          icon: 'm-menu__link-bullet m-menu__link-bullet--dot',
                          title: 'رسید اجناس',
                          url: '/items/inward',
                        },
												{
                          icon: 'm-menu__link-bullet m-menu__link-bullet--dot',
                          title: 'لیست درخواستی ها',
                          url: '/items/inquire_list',
                        },
                        {
                          icon: 'm-menu__link-bullet m-menu__link-bullet--dot',
                          title: 'توزیع اجناس',
                          url: '/items/allotment',
                        },
												{
                          icon: 'm-menu__link-bullet m-menu__link-bullet--dot',
                          title: 'توزیع به شخص',
                          url: '/items/allot_to_individual',
                        },
                        {
                          icon: 'm-menu__link-bullet m-menu__link-bullet--dot',
                          title: 'تسلیمی اجناس داغمه',
                          url: '/items/writeoff',
                        },
                    ]
                },
                {
                    icon: 'm-menu__link-icon flaticon-settings',
                    title: 'تنظیمات',
										section: 'setting',
                    url: 'setting',
                    subMenuItems: [
                        {
                            icon: 'm-menu__link-bullet m-menu__link-bullet--dot',
                            title: 'نوعیت مصرفی',
                            url: '/item_nature',
                        },
                        {
                            icon: 'm-menu__link-bullet m-menu__link-bullet--dot',
                            title: 'جنس عمومی',
                            url: '/main_category',
                        },
                        {
                            icon: 'm-menu__link-bullet m-menu__link-bullet--dot',
                            title: 'جنس فرعی',
                            url: '/sub_item',
                        },
                        {
                            icon: 'm-menu__link-bullet m-menu__link-bullet--dot',
                            title: 'جنس',
                            url: '/end_item',
                        },
                        {
                            icon: 'm-menu__link-bullet m-menu__link-bullet--dot',
                            title: 'جزييات جنس',
                            url: '/end_item_details',
                        },
												{
                            icon: 'm-menu__link-bullet m-menu__link-bullet--dot',
                            title: 'کمپنی تولیدی جنس',
                            url: '/vendor',
                        },
                        {
                            icon: 'm-menu__link-bullet m-menu__link-bullet--dot',
                            title: 'واحد پولی',
                            url: '/currency',
                        },
                        {
                            icon: 'm-menu__link-bullet m-menu__link-bullet--dot',
                            title: 'واحد',
                            url: '/unit',
                        },

                    ]
                },
            ]
        },
			],
			parent: ''
		}
	},
	mounted()
	{
		var active = this.$route.meta.parent;
		$('li#'+active).addClass('m-menu__item--open');
	}
}
</script>
